/*
 * "p" - A very simple Project Manager using the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000  Elmar Ludwig
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef MANAGER_H
#define MANAGER_H

#include <Foundation/NSObject.h>

#define EDIT_CMD	@"xterm -e vi"
#define LAUNCH_CMD	@"xterm -e"
#define DEBUG_CMD	@"xterm -e gdb"
#define MAKE_CMD	@"make 2>&1"
#define MAKEFILE_GEN	@"mfg"
#define OUTPUT_FONT	"-*-courier-medium-r-*--12-*-*-*-m-*-iso8859-1"

@class GTKList, GTKListItem;
@class GTKOptionMenu;
@class GTKAction;
@class NSMutableDictionary;
@class NSArray, NSSring;

@interface Manager : NSObject
{
    GTKList *list1;
    GTKList *list2;
    GTKOptionMenu *target;

    NSMutableDictionary *files;
    NSArray *groups;
    NSString *program;
    NSString *path;
    NSString *filename;
}

- (void) info:(id) sender;
- (void) select:(id) sender;
- (void) selectFile:(id) sender;
- (void) add:(id) sender;
- (void) addFile:(GTKListItem *) group;
- (void) ok:(id) sender;
- (void) cancel:(id) sender;
- (void) remove:(id) sender;
- (void) open:(id) sender;
- (void) launch:(id) sender;
- (void) debug:(id) sender;
- (void) attrib:(id) sender;
- (void) build:(id) sender;
- (void) loadFromFile:(NSString *) filename;
- (void) save:(id) sender;
- (void) saveToFile:(NSString *) filename;
@end

#endif /* MANAGER_H */
