/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000  Elmar Ludwig
 *
 * Generated automatically from gtkmain.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKMAIN_H
#define GTOOLKIT_GTKMAIN_H

#include <GToolKit/GTK.h>
#include <gtk/gtkmain.h>
#include <gtk/gtkrc.h>

@class GTKObject;
@class GTKStyle;
@class GTKWidget;

@interface GTKMain : NSObject
- (NSString *) checkVersion:(guint) required_major requiredMinor:(guint) required_minor requiredMicro:(guint) required_micro;
- (void) exit:(gint) error_code;
- (NSString *) setLocale;
- (gint) eventsPending;
- (void) mainDoEvent:(GdkEvent *) event;
- (void) main;
- (guint) mainLevel;
- (void) mainQuit;
- (gint) mainIteration;
- (gint) mainIterationDo:(gboolean) blocking;
- (gint) true;
- (gint) false;
- (void) grabAdd:(GTKWidget *) widget;
- (GTKWidget*) grabGetCurrent;
- (void) grabRemove:(GTKWidget *) widget;
- (void) initAdd:(GtkFunction) function data:(gpointer) data;
- (void) quitAddDestroy:(guint) main_level object:(GTKObject *) object;
- (guint) quitAdd:(guint) main_level function:(GtkFunction) function data:(gpointer) data;
- (guint) quitAddFull:(guint) main_level function:(GtkFunction) function marshal:(GtkCallbackMarshal) marshal data:(gpointer) data destroy:(GtkDestroyNotify) destroy;
- (void) quitRemove:(guint) quit_handler_id;
- (void) quitRemoveByData:(gpointer) data;
- (guint) timeoutAdd:(guint32) interval function:(GtkFunction) function data:(gpointer) data;
- (guint) timeoutAddFull:(guint32) interval function:(GtkFunction) function marshal:(GtkCallbackMarshal) marshal data:(gpointer) data destroy:(GtkDestroyNotify) destroy;
- (void) timeoutRemove:(guint) timeout_handler_id;
- (guint) idleAdd:(GtkFunction) function data:(gpointer) data;
- (guint) idleAddPriority:(gint) priority function:(GtkFunction) function data:(gpointer) data;
- (guint) idleAddFull:(gint) priority function:(GtkFunction) function marshal:(GtkCallbackMarshal) marshal data:(gpointer) data destroy:(GtkDestroyNotify) destroy;
- (void) idleRemove:(guint) idle_handler_id;
- (void) idleRemoveByData:(gpointer) data;
- (guint) inputAddFull:(gint) source condition:(GdkInputCondition) condition function:(GdkInputFunction) function marshal:(GtkCallbackMarshal) marshal data:(gpointer) data destroy:(GtkDestroyNotify) destroy;
- (void) inputRemove:(guint) input_handler_id;
- (guint) keySnooperInstall:(GtkKeySnoopFunc) snooper funcData:(gpointer) func_data;
- (void) keySnooperRemove:(guint) snooper_handler_id;
- (GdkEvent*) getCurrentEvent;
- (GTKWidget*) getEventWidget:(GdkEvent *) event;
- (void) rcInit;
- (void) rcAddDefaultFile:(NSString *) filename;
- (void) rcSetDefaultFiles:(NSArray  *) filenames;
- (NSArray  *) rcGetDefaultFiles;
- (void) rcParse:(NSString *) filename;
- (void) rcParseString:(NSString *) rc_string;
- (gboolean) rcReparseAll;
- (GTKStyle*) rcGetStyle:(GTKWidget *) widget;
- (void) rcAddWidgetNameStyle:(GtkRcStyle *) rc_style pattern:(NSString *) pattern;
- (void) rcAddWidgetClassStyle:(GtkRcStyle *) rc_style pattern:(NSString *) pattern;
- (void) rcAddClassStyle:(GtkRcStyle *) rc_style pattern:(NSString *) pattern;
- (GtkRcStyle*) rcStyleNew;
- (void) rcStyleRef:(GtkRcStyle *) rc_style;
- (void) rcStyleUnref:(GtkRcStyle *) rc_style;
- (void) rcSetImageLoader:(GtkImageLoader) loader;
- (GdkPixmap*) rcLoadImage:(GdkColormap *) colormap transparentColor:(GdkColor *) transparent_color filename:(NSString *) filename;
- (NSString *) rcFindPixmapInPath:(GScanner *) scanner pixmapFile:(NSString *) pixmap_file;
- (NSString *) rcFindModuleInPath:(NSString *) module_file;
- (NSString *) rcGetThemeDir;
- (NSString *) rcGetModuleDir;
- (guint) rcParse:(GScanner *) scanner color:(GdkColor *) color;
- (guint) rcParse:(GScanner *) scanner state:(GtkStateType *) state;
- (guint) rcParse:(GScanner *) scanner priority:(GtkPathPriorityType *) priority;
@end

#endif /* GTOOLKIT_GTKMAIN_H */
