/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000  Elmar Ludwig
 *
 * Generated automatically from gtkpreview.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKPREVIEW_H
#define GTOOLKIT_GTKPREVIEW_H

#include <GToolKit/GTKWidget.h>
#include <gtk/gtkpreview.h>

@interface GTKPreview : GTKWidget
+ (GtkType) getType;
+ (void) uninit;
+ (id) previewWithType:(GtkPreviewType) type;
- (id) initWithType:(GtkPreviewType) type;
- (void) size:(gint) width height:(gint) height;
- (void) put:(GdkWindow *) window gc:(GdkGC *) gc srcx:(gint) srcx srcy:(gint) srcy destx:(gint) destx desty:(gint) desty width:(gint) width height:(gint) height;
- (void) drawRow:(guchar *) data x:(gint) x y:(gint) y w:(gint) w;
- (void) setExpand:(gboolean) expand;
+ (void) setGamma:(double) gamma;
+ (void) setColorCube:(guint) nred_shades ngreenShades:(guint) ngreen_shades nblueShades:(guint) nblue_shades ngrayShades:(guint) ngray_shades;
+ (void) setInstallCmap:(gint) install_cmap;
+ (void) setReserved:(gint) nreserved;
- (void) setDither:(GdkRgbDither) dither;
+ (GdkVisual*) getVisual;
+ (GdkColormap*) getCmap;
+ (GtkPreviewInfo*) getInfo;
+ (void) reset;
@end

#endif /* GTOOLKIT_GTKPREVIEW_H */
